Pistis
API referencePeople and roles

List roles, and the permissions a role can hold

GET
/admin/api/roles

Needs People & roles.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Response Body

Every role, and every permission grouped and worded for people

application/json
  1. response
items*array<>
permissions*array<>
Example Request
curl -X GET 'http://127.0.0.1:7777/admin/api/roles'
Example Response
{  "items": [    {      "id": "string",      "name": "string",      "builtIn": true,      "permissions": [        "string"      ],      "people": 0    }  ],  "permissions": [    {      "id": "string",      "group": "string",      "label": "string",      "description": "string"    }  ]}